/*
   This program is designed to split a file into two files such
   that each of the target files represents streams of bytes from
   alternate locations in the source file.  Used to make hi / lo
   proms for 16 bit systems.  Uses a file <inputfile> input by user
   as its input and produces two files called <inputfile>.evn and
   <inputfile>.odd as its output.
   01\20\90 Modified by William M. Alford
   This is for Turbo C ver 2.0
*/

#include <stdio.h>
#include <stdlib.h>
#include <dir.h>
#include <string.h>

main(int argc, char *argv[])

{

FILE *fp1, *fp2, *fp3;
char infile[MAXPATH], outfile1[MAXPATH], outfile2[MAXPATH],
     drive[MAXDRIVE], subdir[MAXDIR], file[MAXFILE], ext[MAXEXT];
int c;
char copywrite[]="\nRomSplit TC 2.0 Edition, (C) Modified by William M. Alford\n";

printf("%s", copywrite);

if ( argc < 2 )
        {
        printf("\nUseage: Romsplit filename.ext\n");
        return(0);
        }

strcpy(infile, argv[1]);

if ((fp1 = fopen(infile,"rb")) == NULL)
        {
	printf("\nCan't open %s\n", strupr(infile));
        exit(0);
	}

fnsplit(infile, drive, subdir, file, ext);
fnmerge(outfile1, drive, subdir, file, ".evn");
fnmerge(outfile2, drive, subdir, file, ".odd");
fp2 = fopen(outfile1,"wb");
fp3 = fopen(outfile2,"wb");

if ( fp2 == NULL || fp3 == NULL )
        {
        printf("\nError open output files, aborted!\n");
        return(1);
	}

printf("\n  input file:  %s\n", strupr(infile));
printf("outfile even:  %s\n",strupr(outfile1));
printf("outfile  odd:  %s\n",strupr(outfile2));

while ((c = getc(fp1)) != EOF)
        {
        putc(c, fp2);
        if ((c = getc(fp1)) == EOF)
                {
                fclose(fp2);
                fclose(fp3);
		printf("Warning - odd number of bytes in %s\n",strupr(infile));
                exit(1);
                }
        putc(c, fp3);
	}
fclose(fp1);
fclose(fp2);
fclose(fp3);
exit(0);
}
